Squid installation failure: libgssapi.so.10 not found



  • Here's what I've done to try out the RC. Is there somewhere I can pick up this lib and continue?

    Installed pfSense from 2.1 Live CD (built on Sat Jun 8 06:42:11 EDT 2013)
    Restored Firewall and DHCP server configuration from 2.0.3
    Ran with no packages for a few hours
    Via System->Packages, I installed the following:
    squid-dev 3.3.4 pkg 2.1.2
    squidGuard-squid3  1.4_4 pkg v.1.9.4

    Did minimal GUI configurations for squid from here:
    http://doc.pfsense.org/index.php/Setup_Squid_as_a_Transparent_Proxy

    Did even less configuration for squidguard, pretty much just enabled and enabled all logging, from here:
    http://www.howtoforge.com/pfsense-squid-squidguard-traffic-shaping-tutorial

    This was in the system log:

    pfSense php: /pkg_edit.php: The command '/usr/pbi/squid-i386/sbin/squid -k shutdown -f /usr/pbi/squid-i386/etc/squid/squid.conf' returned exit code '1', the output was '/libexec/ld-elf.so.1: Shared object "libgssapi.so.10" not found, required by "squid"'

    EDIT:

    Okay, it has been a LONG time since I played in unix, but this might be useful??

    [2.1-RC0][admin@currumbin.localdomain]/(4): find . | grep libgssapi
    ./usr/pbi/squid-i386/lib/sasl2/libgssapiv2.so.3
    ./usr/pbi/squid-i386/lib/sasl2/libgssapiv2.so
    ./usr/pbi/squid-i386/lib/sasl2/libgssapiv2.la
    ./usr/pbi/squid-i386/lib/sasl2/libgssapiv2.a
    ./usr/pbi/squidguard-squid3-i386/lib/sasl2/libgssapiv2.so.3
    ./usr/pbi/squidguard-squid3-i386/lib/sasl2/libgssapiv2.so
    ./usr/pbi/squidguard-squid3-i386/lib/sasl2/libgssapiv2.la
    ./usr/pbi/squidguard-squid3-i386/lib/sasl2/libgssapiv2.a





  • Thanks. My problem was that I was mistakenly only searching within the sub forum folder. Thank goodness for that Newbie "Driver In Training" star. I feel like it is half an excuse anyway.